Enhancer Gene Predictions
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictionsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": {
"name": "<string>",
"_id": "<string>",
"start": 123,
"end": 123,
"chr": "<string>"
},
"elements": [
{
"id": "<string>",
"name": "<string>",
"cell_type": "<string>",
"score": 123,
"model": "<string>",
"dataset": "<string>",
"element_type": "<string>",
"element_chr": "<string>",
"element_start": 123,
"element_end": 123,
"method": "<string>",
"class": "<string>",
"files_filesets": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Enhancer Gene Predictions
Retrieve genomic elements and gene pairs by querying genomic elements.
Set verbose = true to retrieve full info on the genes, genomic element and biosamples.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
CRISPR screen:
query by gene identifier
- gene_id = ENSG00000055950
- method = CRISPR screen
ENCODE-rE2G:
query by gene identifier
- gene_id = ENSG00000055950
- method = ENCODE-rE2G
Perturb-seq:
query by gene identifier
- gene_id = ENSG00000055950
- method = Perturb-seq
Enhancer Gene Predictions
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictionsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/enhancer-gene-predictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"gene": {
"name": "<string>",
"_id": "<string>",
"start": 123,
"end": 123,
"chr": "<string>"
},
"elements": [
{
"id": "<string>",
"name": "<string>",
"cell_type": "<string>",
"score": 123,
"model": "<string>",
"dataset": "<string>",
"element_type": "<string>",
"element_chr": "<string>",
"element_start": 123,
"element_end": 123,
"method": "<string>",
"class": "<string>",
"files_filesets": "<string>"
}
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
CRISPR screen, ENCODE-rE2G, Perturb-seq, scE2G